Subject: Re: [script] ge: export commits as patches

From: "David A. Wheeler" <[email-masked]>
Date: Tue, 19 Apr 2005 18:56:23 -0400

Petr Baudis wrote:

>Dear diary, on Tue, Apr 19, 2005 at 03:48:43PM CEST, I got a letter
>where Ingo Molnar <[email-masked]> told me that...
>  
>
>>is there any 'export commit as patch' support in git-pasky?
>>    
>>
>
>Nice idea. I will add it, probably as 'git patch'.
>
>  
>
Eek!

It's a nice idea, and it'd be great as a subcommand.  But PLEASE
don't name it "patch".  I already know what "patch" does, "patch"
ACCEPTS a patch... it doesn't create one ;-).

How about naming it "aspatch" or "asdiff" instead?  Or something else
(good names, anyone?).

<soapbox_to_choir>Good externally-viewed names are critical... good
command names that are similar to what people "already know"
can really help make the tool a joy to use.</soapbox_to_choir>

--- David A. Wheeler